package com.fkzy.warn.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fkzy.warn.common.constants.EntityConstants;
import com.fkzy.warn.mapper.CaseTreeMapper;
import com.fkzy.warn.model.CaseTree;
import com.fkzy.warn.service.CaseTreeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
@Service
public class CaseTreeServiceImpl extends ServiceImpl<CaseTreeMapper, CaseTree> implements
    CaseTreeService {


    @Override
    public void saveModel(CaseTree entity, String ticket) {
        save(entity);
    }

    @Override
    public void updateModel(CaseTree entity,String ticket) {
        this.updateById(entity);
    }

    @Override
    public void deleteModel(List<String> ids) {
        CaseTree entity = new CaseTree();
        entity.setIsDel(EntityConstants.DEL);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in("id", ids);
        update(entity, wrapper);
    }


}
